
QGIS Application - Bug report #18364

Crash when symbolizing raster with single band pseudocolor and max=infinity

2018-03-07 12:12 AM - Spencer Gardner

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 26254

Description

User Feedback

Loaded a tif raster where some cells have a value of infinity and when I tried to symbolize as single band pseudocolor it crashed. Data

type is Float64. Example file attached.

Report Details

Crash ID: 5fe87e1d589013065bc457c1527801c73b2dab97

Stack Trace

QgsColorRampShader::shade :

QgsSingleBandPseudoColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPart :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :

QgsImageOperation::flipImage :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History
#1 - 2018-03-07 10:03 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-03-08 12:04 AM - Giovanni Manghi

- Operating System deleted (Windows)

Confirmed here. On 2.18 it is no even possible open its properties ("bad allocation").

#3 - 2018-09-22 03:26 PM - Even Rouault

- Resolution set to worksforme

- Status changed from Open to Closed

I can't reproduce a crash with latest master

Files

example.tif 57.6 KB 2018-03-06 Spencer Gardner
